# Class WsContainerProvider

java.lang.Object
javax.websocket.ContainerProvider
org.apache.tomcat.websocket.WsContainerProvider

public class WsContainerProvider extends ContainerProvider

## Constructor Summary

Constructors
Constructor
Description
`WsContainerProvider()`

## Method Summary

Modifier and Type
Method
Description
`protected WebSocketContainer`
`getContainer()`

### Methods inherited from class javax.websocket.ContainerProvider

`getWebSocketContainer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WsContainerProvider

public WsContainerProvider()

## Method Details

### getContainer

protected WebSocketContainer getContainer()

Specified by:
  `getContainer` in class `ContainerProvider`